Summary: Library for GIF creation
Name: gd
Version: 1.2 
Release: 4
Source: http://www.boutell.com/gd/gd1.2.tar.Z
Patch: gd-shared.patch
Copyright: BSD-style
Group: Development/Libraries
BuildRoot: /tmp/gd-root
Prefix: /usr
%description
This library allows you to easily create and manipulate GIF image files
from your C programs.

%prep
%setup -n gd1.2
%patch -p1

%build
make CFLAGS="$RPM_OPT_FLAGS"

%install
mkdir -p $RPM_BUILD_ROOT/usr/include $RPM_BUILD_ROOT/usr/lib
install -m644 gd.h gdfontg.h gdfontl.h gdfontmb.h gdfonts.h gdfontt.h \
	$RPM_BUILD_ROOT/usr/include
ln -sf libgd.so.1.2 $RPM_BUILD_ROOT/usr/lib/libgd.so
install -m644 libgd.so* $RPM_BUILD_ROOT/usr/lib
%clean
rm -rf $RPM_BUILD_ROOT

%post
ldconfig

# This really ought to be split into a gd-devel with the header files
# and libgd.a

%files
%doc README
/usr/include
/usr/lib
